//
//  test.m
//  Bird Animation
//
//  Created by ünal zubari on 27/12/15.
//  Copyright © 2015 Gideros Mobile. All rights reserved.
//

#import <Foundation/Foundation.h>

#include "gglobal.h"
#include "gideros.h"
#include "gevent.h"
#include "gapplication.h"

static lua_State *L = NULL;


static int xlog(lua_State *L)
{
    const char *str = luaL_checkstring(L, 1);        // Get the parameter and check if it is a string
    NSLog( [NSString stringWithUTF8String:str] );
    //lua_pushstring(L,"This is a test");    // Push a string value to return onto the stack
    return 1;                              // Number of return values
}


static int registerMe(lua_State * L)
{
    static const luaL_reg funcs[] =
    {
        {"xlog", xlog},
        {NULL, NULL}
    };
    
    luaL_register(L, "ioslog", funcs);
    
    return 1;
}
static void g_initializePlugin(lua_State *L)
{
    ::L = L;    //Store a local copy, will work without this too
    
    lua_getglobal(L, "package");
    lua_getfield(L, -1, "preload");
    
    lua_pushcfunction(L, registerMe);
    lua_setfield(L, -2, "ioslog");
    lua_pop(L, 2);
}

static void g_deinitializePlugin(lua_State *L)
{
    ::L = NULL;    //Free the local copy
}

REGISTER_PLUGIN("ioslog", "1.0")

